namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "beak_blast_effect")]
public class BeakBlastEffect : Script, IScriptOnIncomingHit
{
    /// <inheritdoc />
    public void OnIncomingHit(IExecutingMove move, IPokemon target, byte hit)
    {
        if (move.GetHitData(target, hit).IsContact)
        {
            move.User.SetStatus(ScriptUtils.ResolveName<Status.Burned>(), move.User);
        }
    }
}